#include <bits/stdc++.h>
using namespace std;

long long a[100002];

int main(){

    cin.tie(nullptr);
    cout.tie(nullptr);
    int n,l=0,r=0;
    long long k,sum=0,ans=0,last=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(k==1){
            if(a[i]>0){
                last=i;
                ans+=i+1;
            }else{
                ans+=last;
            }
        }
    }
    if(k==1){
        cout<<ans;
        return 0;
    }
    sum=a[0];
    while(l<=n-1){
        if(r==n-1 && sum<k){
            break;
        }
        if(sum>=k){
            ans+=n-r;
            l++;
            sum=0;
            for(int i=l;i<=r;i++){
                sum=sum|a[i];
            }
        }else{
            r++;
            sum=sum|a[r];
        }
    }
    cout<<ans;

    return 0;
}
